<template>
  <div class="dashboard-main w-100">
    <div class="row m-0 dashboard-main-container">
      <div class="col-12 h5">
        Check customer feelings
      </div>
    </div>
    <div class="row m-0 mt-3 feeling">
      <div class="col-6 pl-0">
        <div class="text-center left">
          <div></div>
          <span>
            Positive 75%
          </span>
        </div>
      </div>
      <div class="col-6 pr-0">
        <div class="bg-white1 p-5 text-center right">
          <div></div>
          <span>
            Negative 25%
          </span>
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import Component from "vue-class-component";
import { Watch } from "vue-property-decorator";
import { Action, Getter, namespace } from "vuex-class";

const DashboardStore = namespace("dashboard");
const AuthStore = namespace("auth");

@Component({
  name: "Dashboard_Insight"
})
export default class Dashboard_Insight extends Vue {
  @DashboardStore.Action("queryTrackingName") queryTrackingName!: any;
  @DashboardStore.Getter("trackingNameOption") trackingNameOption!: object;
  @AuthStore.Getter("userDataData") userDataData!: string;

  select = null;
  options = {};

  created() {
    this.queryTrackingName({ brand: this.userDataData });
  }
}
</script>

<style scoped>
.feeling {
  height: calc(100% - 52px - 1rem);
}

.text-center {
  position: relative;
  height: 100%;
  background: #fff;
  box-shadow: 0 0 10px 0px rgb(196, 196, 196);
  border-radius: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.left > div {
  left: 0;
  right: 0px;
  bottom: 0;
  top: 25%;
  position: absolute;
  background: linear-gradient(90deg, #eb537f, #cf3f68);
  border-radius: 15px;
}

.right > div {
  left: 0px;
  right: 0px;
  bottom: 0;
  top: 75%;
  position: absolute;
  background: linear-gradient(-45deg, #8287f1, #2c2959);
  border-radius: 15px;
}

.text-center > span {
  position: relative;
  z-index: 1;
  font-weight: bold;
  color: #f2f2f2;
  text-shadow: 0 0 2px #000;
  font-size: 20px;
}
</style>
